List spaces associated with a team
List all spaces (workspaces) associated with the specified team.
GET
/api/teams/{id}/spacesPath parameters
idnumberrequiredPath parameter: id
Request
curl
curl -X GET https://trickest.io/api/teams/{id}/spaces \
-H "Authorization: Bearer $TRICKEST_TOKEN"Responses
200List of team spaces
resultsobject[]requiredcountnumber400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.